V1 and V2Assets
Replace an asset's content
Authorization
bearerAuth AuthorizationBearer <token>
Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.
In: header
Path Parameters
asset_id*string
Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT 'https://example.com/api/v1/assets/string/content' \ -F 'file=@image.png'{ "data": [ { "assigned": true, "categories": [], "content_type": "image/png", "created": "2023-05-17T11:22:36.671000+00:00", "created_user_audit": { "avatar_color": null, "type": "USER", "user_display_name": null, "user_email": "USER@plytix.com", "user_id": "5e678436cc9e97962c059bd7", "user_last_name": "God", "user_name": "The Owner", "user_thumb": "https://static.plytix.com/template/dev/img/user-default-image.png", "username": "5e678436cc9e97962c059bd7" }, "extension": "png", "file_modified": "2023-05-19T12:27:19.943966", "file_size": 18696, "file_type": "IMAGES", "filename": "2023-05-03_08-42_1.png", "has_custom_thumb": false, "id": "6464b8fcb1779cd56c3cac87", "modified": "2023-05-19T12:27:19.944188+00:00", "modified_user_audit": { "avatar_color": null, "type": "USER", "user_display_name": null, "user_email": "USER@plytix.com", "user_id": "5e678436cc9e97962c059bd7", "user_last_name": "God", "user_name": "The Owner", "user_thumb": "https://static.plytix.com/template/dev/img/user-default-image.png", "username": "5e678436cc9e97962c059bd7" }, "n_catalogs": 0, "n_products": 1, "status": "ACTIVE", "thumbnail": "http://files.plytix.com/api/v1.1/thumb/public_files/pim/assets/e3/4b/4a/64/644a4be3a83d8b00089da29f/images/fc/b8/64/64/6464b8fcb1779cd56c3cac87/2023-05-03_08-42_1.png", "url": "http://files.plytix.com/api/v1.1/file/public_files/pim/assets/e3/4b/4a/64/644a4be3a83d8b00089da29f/images/fc/b8/64/64/6464b8fcb1779cd56c3cac87/2023-05-03_08-42_1.png" } ]}